Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
protected class

# PlusOneButton.DefaultOnPlusOneClickListener

extends Object
implements View.OnClickListener PlusOneButton.OnPlusOneClickListener

java.lang.Object
↳ | com.google.android.gms.plus.PlusOneButton.DefaultOnPlusOneClickListener

## Class Overview

This is an `View.OnClickListener` that will proxy clicks to an attached `PlusOneButton.OnPlusOneClickListener`, or default to attempt to start the intent using an `Activity` context. Important: The implementation of `onClick(android.view.View)` used by DefaultOnPlusOneClickListener relies on the tag of this class' PlusOneButtonView remaining unused.

## Summary

Public Constructors
| PlusOneButton.DefaultOnPlusOneClickListener(PlusOneButton.OnPlusOneClickListener proxy)

Public Methods
void | onClick(View view)
void | onPlusOneClick(Intent intent) Called when the +1 button is clicked.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.view.View.OnClickListener

abstract void | onClick(View arg0)

From interface com.google.android.gms.plus.PlusOneButton.OnPlusOneClickListener

abstract void | onPlusOneClick(Intent intent) Called when the +1 button is clicked.

## Public Constructors

#### public PlusOneButton.DefaultOnPlusOneClickListener (PlusOneButton.OnPlusOneClickListener proxy)

## Public Methods

#### public void onClick (View view)

#### public void onPlusOneClick (Intent intent)

Called when the +1 button is clicked. Start the intent passed to this method to display the +1 confirmation dialog `Activity` with `startActivityForResult(Intent, int)`.

##### Parameters

intent | The intent to display the +1 confirmation dialog.